.main-container-sm {
    max-width: 600px;
}

.vw_stories {
    box-sizing: border-box;
    --short-item-height: calc(100vh - 260px);
    --short-item-width: calc(var(--short-item-height, 100vh)/1.77778);
    --short-video-duration: 10s;
    --short-button-padding: 60px;
    --short-border-color: #C6C6C6;

    max-width: 100%;
    overflow: hidden;

    &__container {
        padding: rem(15);
    }

    * {
        box-sizing: border-box;
    }
}

.vw_media-preview {
    padding-top: rem(36);
    position: relative;

    &__nav {
        top: 0;
        fill: #c6c6c6;
        z-index: 20;
        font-size: 0;
        line-height: 0;
        display: none;
        width: 20px;
        height: 20px;
        border: none;
        outline: none;
        cursor: pointer;
        position: absolute;
        background: transparent;
        transition: .3s;

        i {
            height: 13px;
            flex-shrink: 0;
            display: inline-block;
        }

        &--prev {
            left: 0;
        }

        &--next {
            right: 0;
        }

        &:disabled {
            opacity: 0;
            visibility: hidden;
        }

        &:hover {
            fill: $black;
            transition: .3s;
        }
    }

    &__item {
        padding: 5px;
        display: block;
        cursor: pointer;
        position: relative;
        transform: scale(1);
        transition: .5s;

        &:before {
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            z-index: 1;
            content: '';
            position: absolute;
            border-radius: 20px;
            border: 2px solid var(--short-border-color);
        }

        &:hover {
            transition: .5s;
            transform: scale(0.9);
        }

        &.-passed- {

            &:before {
                display: none;
            }

            .vw_media-preview__image {
                background: #000;

                img {
                    opacity: 0.6;
                }
            }
        }
    }

    &__image {
        z-index: 10;
        width: 110px;
        height: 110px;
        display: block;
        overflow: hidden;
        position: relative;
        border-radius: 18px;
        border: 1px solid #C6C6C6;
    }

    .swiper {
        overflow: visible;
    }

    .swiper-slide {
        width: 120px;
        height: 120px;
    }


    @include media-breakpoint-up(md) {

        .swiper-slide {
            width: 160px;
            height: 160px;
        }

        &__item {
            padding: 5px;
        }

        &__image {
            width: 150px;
            height: 150px;
        }
    }

    @include media-breakpoint-up(xl) {

        &__nav {
            display: flex;
            align-items: center;
            justify-content: center;
        }

        .swiper {
      //      overflow: hidden;
        }

        .swiper-slide {
            width: 186px;
            height: 186px;
        }

        &__item {
            padding: 5px;
        }

        &__image {
            width: 176px;
            height: 176px;
        }
    }
}

.vw_media-short {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    font-size: 0;
    line-height: 0;
    z-index: 1000;
    position: fixed;
    background: rgba(0,0,0,0.3);
    backdrop-filter: blur(8px);
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0;
    visibility: hidden;
    transition: .3s;

    &.-open- {
        opacity: 1;
        visibility: visible;
        transition: .3s;
    }

    &__overlay {
        top: 0;
        bottom: 0;
        width: 20%;
        z-index: 10;
        cursor: pointer;
        position: absolute;
        opacity: 0;
        transition: .3s;

        &--prev {
            left: 0;
            background: linear-gradient(90deg, rgba(255,255,255,0.5) 0%, rgba(255,255,255,0) 100%);
        }

        &--next {
            right: 0;
            background: linear-gradient(90deg, rgba(255,255,255,0) 0%, rgba(255,255,255,0.5) 100%);
        }

        &:hover {
            opacity: 1;
            transition: .3s;
        }
    }

    &__container {
        width: 100%;
        height: 100%;
        z-index: 100;
        flex-shrink: 0;
        position: relative;
        font-family: $font-family-primary;
    }

    &__navigation {
        top: calc(100% + 8px);
        left: 0;
        right: 0;
        z-index: 100;
        position: absolute;
        display: none;
    }

    &__nav {
        fill: #fff;
        z-index: 20;
        font-size: 0;
        line-height: 0;
        width: 36px;
        height: 36px;
        border: none;
        outline: none;
        cursor: pointer;
        background: transparent;
        transition: .3s;

        i {
            width: 36px;
            flex-shrink: 0;
            display: inline-block;
        }

        &:disabled {
            opacity: 0;
            visibility: hidden;
        }
    }

    &__groups {
        width: 100%;
        height: 100%;
    }

    &__close {
        z-index: 100;
        border: none;
        outline: none;
        top: 32px;
        right: 16px;
        width: 24px;
        height: 24px;
        font-size: 0;
        line-height: 0;
        cursor: pointer;
        position: absolute;
        background: transparent;
        opacity: 0.6;
        transition: .3s;

        &:hover {
            opacity: 1;
            transition: .3s;
        }
    }

    &__copyright {
        z-index: 100;
        left: 0;
        right: 0;
        bottom: 0;
        position: absolute;
    }

    &__control {
        top: 74px;
        right: 16px;
        position: absolute;
        opacity: 0;
        visibility: hidden;
    }

    @include media-breakpoint-up(md) {

        &__container {
            top: -36px;
            width: calc(var(--short-item-width, 100vw) + 1px);
            height: calc(var(--short-item-height, 100vh) + 1px);
        }

        &__navigation {
            display: flex;
            align-items: center;
            justify-content: space-between;
        }
    }
}

.vw_short {
    height: 100%;
    position: relative;

    &__item {
        width: 100%;
        height: 100%;
        display: block;
    }

    &__media {
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        position: absolute;
    }

    &__button {
        left: 5%;
        right: 5%;
        bottom: var(--short-button-padding);
        z-index: 100;
        position: absolute;
    }

    video {
        width: 100%;
        height: 100%;
        overflow: hidden;
        object-fit: cover
    }
}

.vw_short-pagination {
    top: 12px;
    left: 4px;
    right: 4px;
    z-index: 100;
    font-size: 0;
    line-height: 0;
    position: absolute;
    display: flex;
    align-items: center;

    &__bullet {
        height: 4px;
        display: block;
        cursor: pointer;
        border-radius: 4px;
        margin: 0 3px;
        overflow: hidden;
        position: relative;
        background: rgba(255,255,255,0.5);
        flex-grow: 1;

        &--active {

            .vw_short-pagination__progress {
                width: 100%;
          //      transition: 10s;
                animation-name: progress;
                animation-duration: 10s;
            }

            &.-bullet-video- {

                .vw_short-pagination__progress {
             //       animation-duration: var(--short-video-duration);
                }
            }
        }

        &.-passed- {

            .vw_short-pagination__progress {
                width: 100%;
                animation: none;
            }
        }

    }

    &__progress {
        top: 0;
        left: 0;
        bottom: 0;
        width: 0;
        background: #fff;
        border-radius: 4px;
        position: absolute;
    }
}

.vw_short-button {
    --short-button-color: #000000;
    --short-button-bg: #FFB13D;

    width: 100%;
    font-size: 16px;
    line-height: 24px;
    padding: 8px 20px;
    text-align: center;
    text-decoration: none;
    position: relative;
    white-space: nowrap;
    color: var(--short-button-color);
    background: var(--short-button-bg);
    display: flex;
    align-items: center;
    justify-content: center;
    height: 10vh;
    max-height: 64px;
    min-height: 64px;
    border-radius: 100px;

    &:hover {
        text-decoration: none;
    }

    &__text {
        text-overflow: ellipsis;
        overflow: hidden;
        display: inline-block;
    }
}

.vw_media-copyright {
    color: $white;
    width: 100%;
    height: 40px;
    font-size: 12px;
    line-height: 16px;
    white-space: normal;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    background: rgba(0,0,0,0.3);

    &__text {

    }

    &__logo {
        font-size: 0;
        line-height: 0;
        height: 20px;
        display: inline-block;
        margin-left: 16px;
    }
}

.vw_short-sound {
    z-index: 100;
    border: none;
    outline: none;
    width: 24px;
    height: 24px;
    font-size: 0;
    line-height: 0;
    cursor: pointer;
    position: relative;
    background: transparent;
    opacity: 0.6;
    transition: .3s;

    &:hover {
        opacity: 1;
        transition: .3s;
    }

    i {
        left: 0;
        top: 4px;
        width: 100%;
        height: 24px;
        position: absolute;
        display: inline-block;
    }

    &__on {
        opacity: 1;
        visibility: visible;
    }

    &__off {
        opacity: 0;
        visibility: hidden;
    }

    &.-muted- {

        .short-sound {

            &__on {
                opacity: 0;
                visibility: hidden;
            }

            &__off {
                opacity: 1;
                visibility: visible;
            }
        }
    }
}

.-enable-video-control- {

    .vw_media-short__control {
        opacity: 1;
        visibility: visible;
    }
}

[data-media-groups] {
    overflow: visible;

    .swiper-slide {
        background: #666;
        position: relative;

        &:before {
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            content: '';
            z-index: 200;
            position: absolute;
            background: rgba(0,0,0,0.2);
            transition: .3s;
        }

        .vw_short-item {
            opacity: 0.5;
            transition: .3s;
        }

        .vw_short-pagination {
            opacity: 0;
        }
    }

    .swiper-slide-prev,
    .swiper-slide-next {
        cursor: pointer;

        &:hover {

            &:before {
                background: rgba(0,0,0,0);
                transition: .3s;
            }

            .vw_short-item {
                opacity: 1;
                transition: .3s;
            }
        }
    }

    .swiper-slide-active {


        .vw_short-pagination {
            opacity: 1;
        }

        &:before {
            display: none;
        }

        .vw_short-item {
            opacity: 1;
        }
    }

    > .swiper-wrapper {

        .swiper-slide-active {
            position: relative;

            &:after {
                top: 24px;
                left: 0;
                right: 0;
                bottom: 0;
                z-index: 20;
                content: '';
                position: absolute;
            }
        }
    }
}

@keyframes progress {
    from {
        width: 0;
    }
    to {
        width: 100%;
    }
}


@include media-breakpoint-up(sm) {}
@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}
